| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::PendingTextMessage Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint identifier
- uint unixTimestamp
- uint sender
- uint messageType
- uint flags
- QString text

## Detailed Description

Structure type generated from the specification.

A struct (message ID, timestamp in seconds since 1970-01-01 00:00 UTC, sender's handle, message type, flags, text) representing a pending text message, as returned by ListPendingMessages. The arguments of the Received signal also match this struct's signature.

## Member Data Documentation

uint Tp::PendingTextMessage::identifier

uint Tp::PendingTextMessage::unixTimestamp

uint Tp::PendingTextMessage::sender

uint Tp::PendingTextMessage::messageType

uint Tp::PendingTextMessage::flags

QString Tp::PendingTextMessage::text